Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class AbstractContentSelector

    java.lang.Object
      org.apache.batik.bridge.svg12.AbstractContentSelector

Direct Known Subclasses:
  DefaultContentSelector, XPathPatternContentSelector, XPathSubsetContentSelector

    public abstract class AbstractContentSelector

extends Object

A base class for handlers of different XBL content element includes attribute syntaxes.

Nested Class Summary
`protected static interface` | `AbstractContentSelector.ContentSelectorFactory` An interface for content selector factories.
`protected static class` | `AbstractContentSelector.XPathPatternContentSelectorFactory` A factory for XPathPatternContentSelector objects.
`protected static class` | `AbstractContentSelector.XPathSubsetContentSelectorFactory` A factory for XPathSubsetContentSelector objects.

Field Summary
`protected Element` | `boundElement` The bound element.
`protected XBLOMContentElement` | `contentElement` The XBL content element.
`protected ContentManager` | `contentManager` The ContentManager object that owns this selector.
`protected static HashMap` | `selectorFactories` Map of selector languages to factories.

Constructor Summary
`AbstractContentSelector(ContentManager cm, XBLOMContentElement content, Element bound)` Creates a new AbstractContentSelector object.

Method Summary
`static AbstractContentSelector` | `createSelector(String selectorLanguage, ContentManager cm, XBLOMContentElement content, Element bound, String selector)` Creates a new selector object.
`abstract NodeList` | `getSelectedContent()` Returns a list of nodes that were matched by this selector.
`protected boolean` | `isSelected(Node n)` Returns true if the given node has already been selected by a content element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentManager

    protected ContentManager contentManager

  The ContentManager object that owns this selector.

### contentElement

    protected XBLOMContentElement contentElement

  The XBL content element.

### boundElement

    protected Element boundElement

  The bound element.

### selectorFactories

    protected static HashMap selectorFactories

  Map of selector languages to factories.

Constructor Detail

### AbstractContentSelector

    public AbstractContentSelector(ContentManager cm,
                                   XBLOMContentElement content,
                                   Element bound)

  Creates a new AbstractContentSelector object.

Method Detail

### getSelectedContent

    public abstract NodeList getSelectedContent()

  Returns a list of nodes that were matched by this selector.

### isSelected

    protected boolean isSelected(Node n)

  Returns true if the given node has already been selected by a content element.

### createSelector

    public static AbstractContentSelector createSelector(String selectorLanguage,
                                                         ContentManager cm,
                                                         XBLOMContentElement content,
                                                         Element bound,
                                                         String selector)

  Creates a new selector object.

  Parameters:
    `content` - The content element using this selector.
    `bound` - The bound element whose children will be selected.
    `selector` - The selector string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.